<template>
  <div class="leaflet-control leaflet-bar pressure-level-control p-1 m-0">
    <h4>Nível de pressão:</h4>
    <input type="radio" id="surface" value="SURFACE" v-model="pressureLevel" class="mr-1">
    <label for="one">Superficie</label>
    <br>
    <input type="radio" id="950hPa" value="950hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">950 hPa</label>
    <br>
    <input type="radio" id="925hPa" value="925hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">925 hPa</label>
    <br>
    <input type="radio" id="900hPa" value="900hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">900 hPa</label>
    <br>
    <input type="radio" id="850hPa" value="850hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">850 hPa</label>
    <br>
    <input type="radio" id="800hPa" value="800hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">800 hPa</label>
    <br>
    <input type="radio" id="700hPa" value="700hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">700 hPa</label>
    <br>
    <input type="radio" id="500hPa" value="500hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">500 hPa</label>
    <br>
    <input type="radio" id="300hPa" value="300hPa" v-model="pressureLevel" class="mr-1">
    <label for="two">300 hPa</label>
    <br>
  </div>
</template>

<script>
import ParentWorkspaceMixin from '@/dashboard/mixins/ParentWorkspace'
import { mutationNameResolve, CHANGE_PRESSURE_LEVEL } from '@/store/workspace/mutations'

export default {
  name: 'pressurelevelcontrol',

  mixins: [
    ParentWorkspaceMixin,
  ],

  computed: {
    pressureLevel: {
      get() {
        return this.$store.state[this.workspace].pressureLevel
      },

      set(value) {
        this.$store.commit(mutationNameResolve(this.workspace, CHANGE_PRESSURE_LEVEL), { pressureLevel: value })
      },
    },
  },
  
  mounted() {
  
  },
}
</script>

<style>
.pressure-level-control {
  background-color: rgb(255, 255, 255);
}
</style>
